/************************************************************************/
/*																		*/
/*	spi2.h -- SPI2 routines for PIC32MX					                */
/*																		*/
/************************************************************************/
/*	Author: Michael T. Alexander										*/
/*	Copyright 2009, Digilent Inc.										*/
/************************************************************************/
/*  Module Description: 												*/
/*																		*/
/*	This header contains declarations for SPI2 routines.			    */
/*																		*/
/************************************************************************/
/*  Revision History:						                			*/
/*											                        	*/
/*	04/28/2009 (MichaelA): created			                			*/
/*											                        	*/
/************************************************************************/

#if !defined(_SPI2_INC)
#define	_SPI2_INC

#include "stdtypes.h"


/* ------------------------------------------------------------ */
/*				    	Macro Declarations			    		*/
/* ------------------------------------------------------------ */

#define Spi2MaConfigSS()		(mPORTGSetPinsDigitalOut(BIT_9))
#define Spi2MaEnableSlave() 	(mPORTGClearBits(BIT_9))
#define Spi2MaDisableSlave()	(mPORTGSetBits(BIT_9))

/* ------------------------------------------------------------ */
/*					General Type Declarations					*/
/* ------------------------------------------------------------ */

// Bit definitions for SPI2CON fields.
#define SPI2_ON			15
#define SPI2_SMP		9
#define SPI2_CKE		8
#define SPI2_MSTEN		5

// Bit definitions for SPI2STAT fields.
#define SPI2_SPIRBF		0
#define SPI2_SPITBE		3
#define SPI2_SPIBUSY	11

/* ------------------------------------------------------------ */
/*					Object Class Declarations					*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */
/*					Variable Declarations						*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */
/*					Procedure Declarations						*/
/* ------------------------------------------------------------ */

BYTE	Spi2MaTxByte( BYTE b );

/* ------------------------------------------------------------ */


#endif
